#include <netcdf.h>
#include "geminc.h"
#include "gemprm.h"
#include "nc2grid.h"

void nc_getgemproj (char *cproj, *char proj, int *iproj, int *iret)

/************************************************************************
 * Translate netCDF Projection string and return GEMPAK Projection and  *
 * projection number.							*
 *                                                                      *
 * Input parameters:                                                    *
 *      cproj           char            netCDF projection name          *
 *                                                                      *
 * Output parameters:                                                   *
 *      *proj           char            Grid Projection                 *
 *      *iproj          float           integer projection              *
 *      iret            int             return value                    *
 *					-1 - Projection not found	*
 *                                                                      *
 ************************************************************************/
{

    if (strcmp(cproj, "STEREOGRAPHIC") == 0 ) {
        strcpy(proj, "STR");
        iproj = (float) 5.0;
    } else if (strcmp(cproj, "LAMBERT_CONFORMAL") == 0 ) {
        strcpy(proj, "LCC");
        iproj = (float) 3.0;
    } else if (strcmp(cproj, "CYLINDRICAL_EQUIDISTANT") == 0 ) {
        strcpy(proj, "CED");
        iproj = (float) 0.0;
    }
}

